package com.ss.android.ugc.aweme.gsonopt;

import X.C5747MCc;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.gsonopt.OptJsonAdapterFor;

public class GsonOptTypeAdapterFactory extends BaseAdapterFactory {
    static {
        Covode.recordClassIndex(82938);
    }

    public GsonOptTypeAdapterFactory(C5747MCc mCc) {
        super(mCc);
    }

    public final BaseAdapter LIZ(String str) {
        switch (str.hashCode()) {
            case -821953100:
                if (str.equals("com/ss/android/ugc/aweme/feed/model/AwemeRawAd")) {
                    return new OptJsonAdapterFor$com$ss$android$ugc$aweme$feed$model$AwemeRawAd(this.LIZ);
                }
                return null;
            case 881581038:
                if (str.equals("com/ss/android/ugc/aweme/music/model/Music")) {
                    return new OptJsonAdapterFor.com.ss.android.ugc.aweme.music.model.Music(this.LIZ);
                }
                return null;
            case 1053207287:
                if (str.equals("com/ss/android/ugc/aweme/feed/model/Aweme")) {
                    return new OptJsonAdapterFor.com.ss.android.ugc.aweme.feed.model.Aweme(this.LIZ);
                }
                return null;
            case 1072182955:
                if (str.equals("com/ss/android/ugc/aweme/feed/model/Video")) {
                    return new OptJsonAdapterFor.com.ss.android.ugc.aweme.feed.model.Video(this.LIZ);
                }
                return null;
            case 1076141834:
                if (str.equals("com/ss/android/ugc/aweme/commerce/AwemeCommerceStruct")) {
                    return new OptJsonAdapterFor.com.ss.android.ugc.aweme.commerce.AwemeCommerceStruct(this.LIZ);
                }
                return null;
            case 1246108958:
                if (str.equals("com/ss/android/ugc/aweme/profile/model/User")) {
                    return new OptJsonAdapterFor.com.ss.android.ugc.aweme.profile.model.User(this.LIZ);
                }
                return null;
            case 1919530295:
                if (str.equals("com/ss/android/ugc/aweme/base/model/UrlModel")) {
                    return new OptJsonAdapterFor.com.ss.android.ugc.aweme.base.model.UrlModel(this.LIZ);
                }
                return null;
            case 2038576990:
                if (str.equals("com/ss/android/ugc/aweme/discover/model/Challenge")) {
                    return new OptJsonAdapterFor.com.ss.android.ugc.aweme.discover.model.Challenge(this.LIZ);
                }
                return null;
            default:
                return null;
        }
    }
}
